# Assignments

## Assignment 1: Create a repository
1. Create your own new repository
2. Add a .gitignore file
3. Why you would like a gitignore file
    - Not pushing sensitive files
    - Not pushing environment files
4. Add a README.md

## Assignment 2: Your first commit
0. Clone repository
0. Edit README file
0. Create a new file(s) and add information
0. Stage README and your file(s)
0. Commit README and your file(s)

## Assignment 3: Merge conflicts
0. Go to the How to Git started repository
0. Add icecream.py to your repository
0. Choose a partner
0. Add him/her as a collaborator
0. Make the partner clone your repository
0. Let both of you edit the same line in the code file
0. Let one of you stage and push the changes
0. Solve the merge conflict

## Assignment 5: Branching
0. Go to the How to Git started repository
0. Add index.html to your shared repository.
0. Let person A create a new branch called header
0. Let person B create a new branch called footer
0. Let person A edit the header of index.html
0. Let person B edit the footer of index.html
0. Stage and push the changes
0. Pull the latest changes
0. Track the branch of your partner

## Assignment 6: Merge branches (Or Rebase)
0. Go to your master branch
0. Merge it with the header branch
0. Commit the merge
0. Merge it with the footer branch
0. Commit the merge
0. Push the changes
0. Delete your old branches

## Assignment 7: Pull requests
0. Let one of you create a new repository (do not add collaborators)
0. Stage and commit a file
0. Let the other person fork the repository and clone it
0. Let him/her change the file and push it
0. Let him/her create a new pull request via the GUI
0. Let the other approve and merge the request
0. Let the other pull the latest changes

